/*
 * The Create System Call
 *
 * Authored by Joshua Saxby
 */
#include "filesys/filesys.h"
#include "system_calls.h"
#include "threads/interrupt.h"

void syscall_create(struct intr_frame *f) {
    // first argument is syscall code (already handled)
    char* filename = (void*)(*((int*)f->esp + 1)); // filename is second argument
    unsigned initial_size = *((unsigned*)((int*)f->esp + 2)); // third
    f->eax = filesys_create(filename, initial_size);
}
